### Function

# GLib datalist_clear

#### Declaration

    void
    g_datalist_clear (
      GData** datalist
    )

#### Description

Frees all the data elements of the datalist. The data elements’ destroy functions are called if they have been set.

This function is not directly available to language bindings.

#### Parameters

`datalist`

  Type: `GData`

  A datalist.

  The data is owned by the caller of the function.